Update
curl --request PUT \
--url https://api.birdeye.com/resources/v1/business/public/custom-fields/update/{fieldId} \
--header 'Content-Type: application/json' \
--data '
{
"defaultValue": "Green",
"dropDownOptions": [
"Blue",
"Green",
"Red"
],
"fieldDescription": "This custom field contains list of colours",
"filterable": "false",
"isHidden": "false"
}
'import requests
url = "https://api.birdeye.com/resources/v1/business/public/custom-fields/update/{fieldId}"
payload = {
"defaultValue": "Green",
"dropDownOptions": ["Blue", "Green", "Red"],
"fieldDescription": "This custom field contains list of colours",
"filterable": "false",
"isHidden": "false"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
defaultValue: 'Green',
dropDownOptions: ['Blue', 'Green', 'Red'],
fieldDescription: 'This custom field contains list of colours',
filterable: 'false',
isHidden: 'false'
})
};
fetch('https://api.birdeye.com/resources/v1/business/public/custom-fields/update/{fieldId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 5026,
"message": "Custom field updation failed."
}Custom Fields
Update Custom Field
PUT
/
v1
/
business
/
public
/
custom-fields
/
update
/
{fieldId}
Update
Headers
e.g. application/json
e.g. - Partner specific API key provided by Birdeye for data exchange.
e.g. - Long Business Number
Path Parameters
fieldId of the custom field created earlier.
Body
application/json
Default Value of custom field.
The list of options in custom field.The list of options in custom field
(In case the dropdown options were added during creation, while updating , add the same in
Description of custom field.
Whether the custom field will be filterable or not.
Whether the custom field will be hidden or not.
Response
OK

